@ECHO OFF
REM *******************************************************************************
REM
REM	                   TIC TAC TOE WSADOWO
REM                        -------------------
REM
REM                        autor: r.Q
REM                        licencja: GNU GPL
REM                        WWW: http://members.chello.pl/m.rataj
REM
REM	Plik ten zawiera procedury wyswietlenia zawartosci planszy na ekranie
REM	monitora.
REM
REM	Opis zmiennych:
REM
REM		plus_jeden - zmienna przechowuje wartosc o jeden wieksza od
REM				aktualnej wartosci iteratora. Potrzebne, by 
REM				w jednej linii.
REM				pomiescic kolejne pola planszy.
REM
REM		plus_dwa - tak samo jak wyzej, z ta roznica, ze zmienna ta
REM				przechowuje wartosc o dwa wieksza od aktualnej 
REM				wartosci iteratora.
REM
REM *******************************************************************************

CLS
ECHO.
ECHO.
ECHO.
ECHO			      KOLKO I KRZYZYK WSADOWO V2.0
ECHO		 	   ----------------------------------
ECHO.
ECHO.
ECHO					#########
ECHO					#	#
FOR /L %%i IN (1,3,9) DO CALL :wyswietl_plansze %%i
GOTO dol_planszy

:wyswietl_plansze
SET /A plus_jeden="%1+1"
SET /A plus_dwa="%1+2"
ECHO 				# !plansza[%plus_dwa%]! !plansza[%plus_jeden%]! !plansza[%1]! #
GOTO koniec

:dol_planszy
ECHO					#	#
ECHO					#########

:koniec
